Package com.ocient.jdbc.proto

## Class ClientWireProtocol

- java.lang.Object
- - com.ocient.jdbc.proto.ClientWireProtocol

    public final class ClientWireProtocol
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ClientWireProtocol.CancelQuery` Protobuf type `xg.cmdcomp.CancelQuery`
`static interface` `ClientWireProtocol.CancelQueryOrBuilder`
`static class` `ClientWireProtocol.CancelQueryResponse` Protobuf type `xg.cmdcomp.CancelQueryResponse`
`static interface` `ClientWireProtocol.CancelQueryResponseOrBuilder`
`static class` `ClientWireProtocol.ClientConnection` Protobuf type `xg.cmdcomp.ClientConnection`
`static class` `ClientWireProtocol.ClientConnection2` Protobuf type `xg.cmdcomp.ClientConnection2`
`static interface` `ClientWireProtocol.ClientConnection2OrBuilder`
`static class` `ClientWireProtocol.ClientConnection2Response` Protobuf type `xg.cmdcomp.ClientConnection2Response`
`static interface` `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
`static interface` `ClientWireProtocol.ClientConnectionOrBuilder`
`static class` `ClientWireProtocol.ClientConnectionResponse` Protobuf type `xg.cmdcomp.ClientConnectionResponse`
`static interface` `ClientWireProtocol.ClientConnectionResponseOrBuilder`
`static class` `ClientWireProtocol.CloseConnection` Protobuf type `xg.cmdcomp.CloseConnection`
`static interface` `ClientWireProtocol.CloseConnectionOrBuilder`
`static class` `ClientWireProtocol.CloseResultSet` Protobuf type `xg.cmdcomp.CloseResultSet`
`static interface` `ClientWireProtocol.CloseResultSetOrBuilder`
`static class` `ClientWireProtocol.ConfirmationResponse` Protobuf type `xg.cmdcomp.ConfirmationResponse`
`static interface` `ClientWireProtocol.ConfirmationResponseOrBuilder`
`static class` `ClientWireProtocol.ExecuteExplain` Protobuf type `xg.cmdcomp.ExecuteExplain`
`static class` `ClientWireProtocol.ExecuteExplainForSpark` Protobuf type `xg.cmdcomp.ExecuteExplainForSpark`
`static interface` `ClientWireProtocol.ExecuteExplainForSparkOrBuilder`
`static interface` `ClientWireProtocol.ExecuteExplainOrBuilder`
`static class` `ClientWireProtocol.ExecuteExport` Protobuf type `xg.cmdcomp.ExecuteExport`
`static interface` `ClientWireProtocol.ExecuteExportOrBuilder`
`static class` `ClientWireProtocol.ExecuteExportResponse` Protobuf type `xg.cmdcomp.ExecuteExportResponse`
`static interface` `ClientWireProtocol.ExecuteExportResponseOrBuilder`
`static class` `ClientWireProtocol.ExecuteInlinePlan` Protobuf type `xg.cmdcomp.ExecuteInlinePlan`
`static interface` `ClientWireProtocol.ExecuteInlinePlanOrBuilder`
`static class` `ClientWireProtocol.ExecutePlan` Protobuf type `xg.cmdcomp.ExecutePlan`
`static interface` `ClientWireProtocol.ExecutePlanOrBuilder`
`static class` `ClientWireProtocol.ExecuteQuery` Protobuf type `xg.cmdcomp.ExecuteQuery`
`static interface` `ClientWireProtocol.ExecuteQueryOrBuilder`
`static class` `ClientWireProtocol.ExecuteQueryResponse` Protobuf type `xg.cmdcomp.ExecuteQueryResponse`
`static interface` `ClientWireProtocol.ExecuteQueryResponseOrBuilder`
`static class` `ClientWireProtocol.ExecuteUpdate` Protobuf type `xg.cmdcomp.ExecuteUpdate`
`static interface` `ClientWireProtocol.ExecuteUpdateOrBuilder`
`static class` `ClientWireProtocol.ExecuteUpdateResponse` Protobuf type `xg.cmdcomp.ExecuteUpdateResponse`
`static interface` `ClientWireProtocol.ExecuteUpdateResponseOrBuilder`
`static class` `ClientWireProtocol.ExplainPlan` Protobuf type `xg.cmdcomp.ExplainPlan`
`static interface` `ClientWireProtocol.ExplainPlanOrBuilder`
`static class` `ClientWireProtocol.ExplainResponse` Protobuf type `xg.cmdcomp.ExplainResponse`
`static interface` `ClientWireProtocol.ExplainResponseOrBuilder`
`static class` `ClientWireProtocol.FetchData` Protobuf type `xg.cmdcomp.FetchData`
`static interface` `ClientWireProtocol.FetchDataOrBuilder`
`static class` `ClientWireProtocol.FetchDataResponse` Protobuf type `xg.cmdcomp.FetchDataResponse`
`static interface` `ClientWireProtocol.FetchDataResponseOrBuilder`
`static class` `ClientWireProtocol.FetchMetadata` Protobuf type `xg.cmdcomp.FetchMetadata`
`static interface` `ClientWireProtocol.FetchMetadataOrBuilder`
`static class` `ClientWireProtocol.FetchMetadataResponse` Protobuf type `xg.cmdcomp.FetchMetadataResponse`
`static interface` `ClientWireProtocol.FetchMetadataResponseOrBuilder`
`static class` `ClientWireProtocol.FetchSystemMetadata` Protobuf type `xg.cmdcomp.FetchSystemMetadata`
`static interface` `ClientWireProtocol.FetchSystemMetadataOrBuilder`
`static class` `ClientWireProtocol.FetchSystemMetadataResponse` Protobuf type `xg.cmdcomp.FetchSystemMetadataResponse`
`static interface` `ClientWireProtocol.FetchSystemMetadataResponseOrBuilder`
`static class` `ClientWireProtocol.ForceExternal` Protobuf type `xg.cmdcomp.ForceExternal`
`static interface` `ClientWireProtocol.ForceExternalOrBuilder`
`static class` `ClientWireProtocol.GetSchema` Protobuf type `xg.cmdcomp.GetSchema`
`static interface` `ClientWireProtocol.GetSchemaOrBuilder`
`static class` `ClientWireProtocol.GetSchemaResponse` Protobuf type `xg.cmdcomp.GetSchemaResponse`
`static interface` `ClientWireProtocol.GetSchemaResponseOrBuilder`
`static class` `ClientWireProtocol.KillQuery` Protobuf type `xg.cmdcomp.KillQuery`
`static interface` `ClientWireProtocol.KillQueryOrBuilder`
`static class` `ClientWireProtocol.KillQueryResponse` Protobuf type `xg.cmdcomp.KillQueryResponse`
`static interface` `ClientWireProtocol.KillQueryResponseOrBuilder`
`static class` `ClientWireProtocol.ListPlan` Protobuf type `xg.cmdcomp.ListPlan`
`static interface` `ClientWireProtocol.ListPlanOrBuilder`
`static class` `ClientWireProtocol.ListPlanResponse` Protobuf type `xg.cmdcomp.ListPlanResponse`
`static interface` `ClientWireProtocol.ListPlanResponseOrBuilder`
`static class` `ClientWireProtocol.LoadBroadcast` Protobuf type `xg.cmdcomp.LoadBroadcast`
`static interface` `ClientWireProtocol.LoadBroadcastOrBuilder`
`static class` `ClientWireProtocol.LocalQueries` Protobuf type `xg.cmdcomp.LocalQueries`
`static interface` `ClientWireProtocol.LocalQueriesOrBuilder`
`static class` `ClientWireProtocol.LocalQueriesResponse` Protobuf type `xg.cmdcomp.LocalQueriesResponse`
`static interface` `ClientWireProtocol.LocalQueriesResponseOrBuilder`
`static class` `ClientWireProtocol.Request` The request has a type and then the relevant optional field is filled.
`static interface` `ClientWireProtocol.RequestOrBuilder`
`static class` `ClientWireProtocol.ResultSet` Protobuf type `xg.cmdcomp.ResultSet`
`static interface` `ClientWireProtocol.ResultSetOrBuilder`
`static class` `ClientWireProtocol.SetPSO` Protobuf type `xg.cmdcomp.SetPSO`
`static interface` `ClientWireProtocol.SetPSOOrBuilder`
`static class` `ClientWireProtocol.SetSchema` Protobuf type `xg.cmdcomp.SetSchema`
`static interface` `ClientWireProtocol.SetSchemaOrBuilder`
`static class` `ClientWireProtocol.SysQueriesRow` Protobuf type `xg.cmdcomp.SysQueriesRow`
`static interface` `ClientWireProtocol.SysQueriesRowOrBuilder`
`static class` `ClientWireProtocol.SystemWideQueries` Protobuf type `xg.cmdcomp.SystemWideQueries`
`static interface` `ClientWireProtocol.SystemWideQueriesOrBuilder`
`static class` `ClientWireProtocol.SystemWideQueriesResponse` Protobuf type `xg.cmdcomp.SystemWideQueriesResponse`
`static interface` `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`
`static class` `ClientWireProtocol.TestConnection` Protobuf type `xg.cmdcomp.TestConnection`
`static interface` `ClientWireProtocol.TestConnectionOrBuilder`

### Method Summary

All Methods Static Methods Concrete Methods
`static com.google.protobuf.Descriptors.FileDescriptor` `getDescriptor()`
`static void` `registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)`
`static void` `registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistryLite registry)

#### registerAllExtensions

    public static void registerAllExtensions​(com.google.protobuf.ExtensionRegistry registry)

#### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()